Subject: Re: [PATCH v3 0/9] archive: Add --recurse-submodules to git-archive command

From: Junio C Hamano <[email-masked]>
Date: Wed, 19 Oct 2022 18:21:41 -0700

Junio C Hamano <[email-masked]> writes:

>> I personally doubt it is generally a good idea, as it sets a bad
>> pattern that tempts unsuspecting users to blindly copy and paste it
>> to their $HOME/.gitconfig without realizing what its ramifications
>> are, but the easiest workaround may be to mimic what was done in
>> t/lib-submodule-update.sh that sets protocol.file.allow
>> configuration knob globally.
>
> I'll queue this at the tip of your topic when I rebuild 'seen' for
> today's integration run.
>
>  t/t1023-tree-read-tree-at.sh  | 4 +++-
>  t/t5005-archive-submodules.sh | 7 ++++---
>  2 files changed, 7 insertions(+), 4 deletions(-)

It seems to have cleared the "submodule tests no longer can use
submodules with file:// without tweaking the config" issue I saw
earlier.  It seems to give us a segfault in win+VS test, though.

https://github.com/git/git/actions/runs/3285647856/jobs/5413033844#step:5:245

Thanks.